﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="P2022_Appli_AdministrationDataSet4" targetNamespace="http://tempuri.org/P2022_Appli_AdministrationDataSet4.xsd" xmlns:mstns="http://tempuri.org/P2022_Appli_AdministrationDataSet4.xsd" xmlns="http://tempuri.org/P2022_Appli_AdministrationDataSet4.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="P2022_Appli_AdministrationConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="P2022_Appli_AdministrationConnectionString (Settings)" PropertyReference="ApplicationSettings.P2022_FSI_Administration.Properties.Settings.GlobalReference.Default.P2022_Appli_AdministrationConnectionString" Provider="System.Data.Odbc" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="etudiantTableAdapter" GeneratorDataComponentClassName="etudiantTableAdapter" Name="etudiant" UserDataComponentName="etudiantTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="P2022_Appli_AdministrationConnectionString (Settings)" DbObjectName="P2022_Appli_Administration.etudiant" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT "idclasse" FROM "public"."etudiant"</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idclasse" DataSetColumn="idclasse" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="P2022_Appli_AdministrationDataSet4" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="P2022_Appli_AdministrationDataSet4" msprop:Generator_UserDSName="P2022_Appli_AdministrationDataSet4">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="etudiant" msprop:Generator_TableClassName="etudiantDataTable" msprop:Generator_TableVarName="tableetudiant" msprop:Generator_TablePropName="etudiant" msprop:Generator_RowDeletingName="etudiantRowDeleting" msprop:Generator_RowChangingName="etudiantRowChanging" msprop:Generator_RowEvHandlerName="etudiantRowChangeEventHandler" msprop:Generator_RowDeletedName="etudiantRowDeleted" msprop:Generator_UserTableName="etudiant" msprop:Generator_RowChangedName="etudiantRowChanged" msprop:Generator_RowEvArgName="etudiantRowChangeEvent" msprop:Generator_RowClassName="etudiantRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idclasse" msprop:Generator_ColumnVarNameInTable="columnidclasse" msprop:Generator_ColumnPropNameInRow="idclasse" msprop:Generator_ColumnPropNameInTable="idclasseColumn" msprop:Generator_UserColumnName="idclasse" type="xs:int" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>